Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77319 - Incorrect cursor positioning in gnome-terminal for the zh_CN.GB18030 locale
Summary: Incorrect cursor positioning in gnome-terminal for the zh_CN.GB18030 locale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 03:13 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-10 20:32:04 UTC


Attachments (Terms of Use)
Sample text file (deleted)
2002-11-05 03:25 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-11-05 03:13:43 UTC
Description of Problem:
The cursor is incorrectly positioned with some characters
(e.g., double/single quotation marks, I'll attach a sample
file), for the locale zh_CN.gb18030.

Version-Release number of selected component (if applicable):
gnome-terminal-2.0.1-5

How Reproducible:
Always

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Need Real Name 2002-11-05 03:25:38 UTC
Created attachment 83647 [details]
Sample text file

Comment 2 Need Real Name 2002-11-12 00:52:31 UTC
I have located the problem: the return value of the function
g_unichar_iswide in glib2 is incorrect for some unicode chars
(e.g., U201C, U201D, etc.).

Comment 3 Ray Strode [halfline] 2004-11-10 20:32:04 UTC
Hi,

This bug is quite old now.  Given the lack of activity on this report and the
likelihood that this bug has already been fixed, I am going to close it.  If you
encounter the problem discussed in this report with Fedora Core 3 or a recent
version of vte and gnome-terminal feel free to reopen.

Thanks


Note You need to log in before you can comment on or make changes to this bug.